# Class StatusImpl

java.lang.Object
org.apache.jmeter.monitor.model.StatusImpl

All Implemented Interfaces:
  `Status`

public class StatusImpl extends Object implements Status

Version:
  $Revision: 1413262 $

## Constructor Summary

Constructors
Constructor
Description
`StatusImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addConnector(Connector conn)`
`List<Connector>`
`getConnector()`
`String`
`getConnectorPrefix()`
`Jvm`
`getJvm()`
`void`
`setConnectorPrefix(String prefix)`
`void`
`setJvm(Jvm vm)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusImpl

public StatusImpl()

## Method Details

### getJvm

public Jvm getJvm()

Specified by:
  `getJvm` in interface `Status`

### setJvm

public void setJvm(Jvm vm)

Specified by:
  `setJvm` in interface `Status`

### getConnector

public List<Connector> getConnector()

Specified by:
  `getConnector` in interface `Status`

### addConnector

public void addConnector(Connector conn)

Specified by:
  `addConnector` in interface `Status`

### setConnectorPrefix

public void setConnectorPrefix(String prefix)

Specified by:
  `setConnectorPrefix` in interface `Status`

### getConnectorPrefix

public String getConnectorPrefix()

Specified by:
  `getConnectorPrefix` in interface `Status`